#
# Be sure to run `pod lib lint BFUIKit.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFUIKit'
  s.version          = '0.1.0'
  s.summary          = '定制UI'

  s.description      = <<-DESC
                       太字流动自定义UI库
                       DESC

  s.homepage         = 'https://git.yishihui.com/iOS/BFUIKit'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'huzhiqiang' => 'hz_hzq@126.com' }
  s.source           = { :git => 'https://git.yishihui.com/iOS/BFUIKit.git', :tag => s.version.to_s }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'
  
  s.ios.deployment_target = '10.0'
  s.swift_versions = ['5.0']
  
  s.resource_bundles = {
    'BFUIKit_Resources' => ['BFUIKit/Assets/*']
  }
  
  s.source_files = 'BFUIKit/Classes/**/*'

  s.vendored_libraries = 'BFUIKit/Classes/**/*.{a}'
  s.requires_arc = true
  
  s.subspec 'View' do |ss|
    ss.source_files = 'BFUIKit/Classes/View/**/*'
  end
  
  s.subspec 'Controller' do |ss|
    ss.source_files = 'BFUIKit/Classes/Controller/**/*'
  end
  
  s.subspec 'Comm' do |ss|
    ss.source_files = 'BFUIKit/Classes/Comm/**/*'
  end
  

  
  s.frameworks = "UIKit", "QuartzCore"
  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  s.dependency 'BFCommonKit'
  s.dependency 'MJRefresh',                   '~> 3.0'    # 上下拉刷新
  s.dependency 'Kingfisher',                  '~> 6.0'    # 网络图片
  s.dependency 'SVProgressHUD',               '~> 2.0'    # loading
  s.dependency 'SnapKit',                     '~> 5.0'    # 自动布局
  s.dependency 'MGSwipeTableCell',            '~> 1.0'    # 侧滑cell
#  s.dependency 'Onboard',                     '~> 7.0'    # 引导页
#  s.dependency 'GDPerformanceView-Swift',     '~> 2.0'    # 状态栏监控性能
#  s.dependency 'ImageViewer',                 '~> 6.0'    # 图片浏览器
#  s.dependency 'DZNEmptyDataSet',             '~> 1.0'    # 表视图空数据UI
#  s.dependency 'TextFieldEffects',            '~> 1.0'    # 输入框动效
#  s.dependency 'iRate',                       '~> 1.0'    # app好评打星


end
